-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at: http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local npu_board = require 'unit_manager.class.unit.exu.exp_board'
local lu = require 'luaunit'
TestExpBoard = {}

function TestExpBoard:test_update_logic_version_debounce()
    local npu_board_obj = {
        fpga_version = '',
        get_prop = function (prop)
            return 1
        end,
        set_prop = function (prop, value)
        end,
        update_cpld_version = function ()      
        end
    }

    npu_board.update_fpga_version_debounce(npu_board_obj)
    lu.assertEquals(npu_board_obj.fpga_version, '0.01')

end